﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Windows;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WpfDesktopEdition;
using System.IO;

namespace SelectAndDragFeature
{
    /// <summary>
    /// Interaction logic for TestWindow.xaml
    /// </summary>
    public partial class TestWindow : Window
    {
        public TestWindow()
        {
            InitializeComponent();
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            wpfMap1.MapUnit = GeographyUnit.Meter;
            wpfMap1.CurrentExtent = new RectangleShape(-10000000, 10000000, 10000000, -10000000);

            //GoogleMapsLayer google = new GoogleMapsLayer();
            MyGoogleLayer google = new MyGoogleLayer();

            google.DrawingExceptionMode = DrawingExceptionMode.DrawException;


            LayerOverlay worldOverlay = new LayerOverlay(); worldOverlay.Layers.Add(google);


            wpfMap1.Overlays.Add("WMK", worldOverlay);

            wpfMap1.Refresh();
        }
        class MyGoogleLayer : GoogleMapsLayer
        {
          static  FileStream s = new FileStream(@"..\..\data\Capture.PNG", FileMode.Open);
            protected override System.Drawing.Bitmap GetGoogleMapsImageCore(double longitude, double latitude, int zoomLevelNumber, double tileWidth, double tileHeight)
            {

                if (base.GetGoogleMapsImageCore(longitude, latitude, zoomLevelNumber, tileWidth, tileHeight).Height != 1)
                {
                    return base.GetGoogleMapsImageCore(longitude, latitude, zoomLevelNumber, tileWidth, tileHeight);
                }
                else
                {
                    
                    lock (s)
                    {
                        return new System.Drawing.Bitmap(s);
                    }
                }
            }

        }

    }
}
